# Interface methods for submodule: CastImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: CastImageFilter
class CastImageFilterProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetInPlace(self, _arg: bool) -> None:
		""""""
		...

	def GetInPlace(self) -> bool:
		""""""
		...

	def InPlaceOn(self) -> None:
		""""""
		...

	def InPlaceOff(self) -> None:
		""""""
		...

	def CanRunInPlace(self) -> bool:
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

